Name:           mold
Version:        2.35.1
Release:        %mkrel 1
Summary:        A Modern Linker (mold)
License:        AGPLv3
Group:          Development/Other
Url:            https://github.com/rui314/mold
Source0:        https://github.com/rui314/mold/archive/v%{version}/%{name}-%{version}.tar.gz
Patch1:		mold-xxhash.patch
BuildRequires:  cmake
BuildRequires:  gcc-c++
BuildRequires:  mimalloc-devel
BuildRequires:  pkgconfig(libzstd)
BuildRequires:  pkgconfig(openssl)
BuildRequires:  pkgconfig(zlib)
BuildRequires:  pkgconfig(libxxhash)
BuildRequires:  pkgconfig(tbb)

%description
mold is a faster drop-in replacement for existing Unix linkers.
It is several times faster than LLVM lld linker, the second-fastest
open-source linker originally created by the same developer.

mold is designed to increase developer productivity by reducing
build time, especially in rapid debug-edit-rebuild cycles.

%prep
%autosetup -p1

# Make sure to use system libraries.
rm -rf third-party/{mimalloc,zlib,zstd,tbb,xxhash}

%build
%cmake \
  -DMOLD_USE_SYSTEM_MIMALLOC=ON \
  -DMOLD_USE_SYSTEM_TBB=ON \
  -DBUILD_SHARED_LIBS=OFF
%cmake_build

%install
%cmake_install

# Handled below.
rm -rf %{buildroot}%{_docdir}/mold

%files
%doc README.md
%license LICENSE
%{_bindir}/mold
%{_bindir}/ld.mold
%dir %{_libdir}/mold/
%{_libexecdir}/mold/ld
%{_libdir}/mold/mold-wrapper.so
%{_mandir}/man1/ld.mold.1*
%{_mandir}/man1/mold.1*


%changelog
* Thu Dec 26 2024 wally <wally> 2.35.1-1.mga10
+ Revision: 2130360
- new version 2.35.1

* Wed Oct 25 2023 akien <akien> 2.3.1-2.mga10
+ Revision: 2001383
- Disable shared libs to ensure vendored thirdparty deps are linked statically

* Wed Oct 25 2023 akien <akien> 2.3.1-1.mga10
+ Revision: 2001299
- Version 2.3.1

* Tue Apr 18 2023 akien <akien> 1.11.0-1.mga9
+ Revision: 1953578
- Version 1.11.0

* Fri Nov 25 2022 akien <akien> 1.7.1-1.mga9
+ Revision: 1911033
- Version 1.7.1

* Mon Oct 17 2022 akien <akien> 1.5.1-3.mga9
+ Revision: 1897275
- Fix build on armv7

* Mon Oct 17 2022 akien <akien> 1.5.1-2.mga9
+ Revision: 1897270
- Switch to CMake, new upstream recommendation
- Use recently packaged system mimalloc

* Wed Oct 05 2022 akien <akien> 1.5.1-1.mga9
+ Revision: 1894917
- Version 1.5.1
- Build against system zstd

* Tue Aug 23 2022 akien <akien> 1.4.1-1.mga9
+ Revision: 1879542
- Version 1.4.1

* Fri Jul 01 2022 akien <akien> 1.3.1-1.mga9
+ Revision: 1866941
- Version 1.3.1

* Mon May 30 2022 akien <akien> 1.2.1-1.mga9
+ Revision: 1860706
- Version 1.2.1

* Sat Apr 16 2022 akien <akien> 1.2-1.mga9
+ Revision: 1850612
- Version 1.2
- Remove ExclusiveArch, new version should support i686 and armv7

* Sat Mar 26 2022 umeabot <umeabot> 1.1.1-2.mga9
+ Revision: 1828005
- Mageia 9 Mass Rebuild

* Tue Mar 08 2022 akien <akien> 1.1.1-1.mga9
+ Revision: 1789758
- Version 1.1.1

* Mon Feb 21 2022 akien <akien> 1.1-1.mga9
+ Revision: 1782150
- Version 1.1
- Disable strip to support debug package
- Remove xxhash BR, it's only used for an inlined method, system lib no longer supported
- Use Mageia link flags, simplify build config

* Mon Jan 03 2022 tv <tv> 1.0.1-1.mga9
+ Revision: 1766486
- Only build on 64bit for now
- 1.0.1
- imported package mold

